<app-loading *ngIf="isLoading"></app-loading>
<!--<div class="org-content-main">-->
<!--  <div nz-row [nzGutter]="24">-->
<!--    <div nz-col [nzSpan]="6">-->

<!--      <div class="text-group">-->
<!--        <div class="text-group__title">{{'staffManager.managerDirect.label.emp' | translate}}</div>-->
<!--        <div class="text-group__content">{{employee?.fullName}}-{{employee?.employeeCode}}</div>-->
<!--      </div>-->
<!--    </div>-->
<!--    <div nz-col [nzSpan]="6">-->
<!--      <div class="text-group">-->
<!--        <div class="text-group__title">Job</div>-->
<!--        <div class="text-group__content">{{employee?.jobName}}</div>-->
<!--      </div>-->
<!--    </div>-->
<!--    <div nz-col [nzSpan]="12">-->
<!--      <div class="text-group">-->
<!--        <div class="text-group__title">{{'staffManager.managerDirect.label.org' | translate}}</div>-->
<!--        <div class="text-group__content">{{employee?.orgFullName}}</div>-->
<!--      </div>-->
<!--    </div>-->
<!--  </div>-->

<!--  <div nz-row [nzGutter]="24" class="row_bottom">-->
<!--    <div nz-col [nzSpan]="6">-->
<!--      <div class="text-group">-->
<!--        <div class="text-group__title">Level</div>-->
<!--        <div class="text-group__content">{{employee?.levelName}}</div>-->
<!--      </div>-->
<!--    </div>-->
<!--    <div nz-col [nzSpan]="12">-->
<!--      <div class="text-group">-->
<!--        <div class="text-group__title">Position</div>-->
<!--        <div class="text-group__content">{{employee?.positionName}}</div>-->
<!--      </div>-->
<!--    </div>-->
<!--  </div>-->
<!--</div>-->
<div class="content-main-bottom">
  <mb-header-filter [tableHeaders]='tableHeaders' (headersEmit)='changeHeaders($event)'></mb-header-filter>
</div>
<nz-table #expandTable [nzData]="listTree" nzTableLayout="fixed" [nzShowPagination]="false" [nzScroll]="{ x: '1900px' }"
          class="table-container content-main-bottom"  [nzSize]='TABLE_SIZE'>
  <thead>
  <tr>
    <th scope="col" [nzWidth]='"200px"' nzLeft></th>
    <th scope="col" [nzWidth]='"200px"' nzLeft>{{'staffManager.table.fullNameDirect'|translate}}</th>
    <ng-container *ngFor="let header of tableHeaders; index as i">
      <th scope="col" [nzWidth]='header.width+"px"'>{{header.title | translate}}</th>
    </ng-container>

  </tr>
  </thead>
  <tbody>
  <tr>
    <td class="bg-emp border-bot" nzLeft>
        <mb-button mbButtonAvailableStyle='PRIMARY' mbButtonSize="SMALL" >
          <img src="../../../../../assets/images/icon/person.svg" alt='edit' width="12" height="12"></mb-button>
        <span class='pl-10'>{{'staffManager.table.manage'|translate}}</span>
    </td>
    <td class="border-bot" nzLeft>{{employee.fullName}}</td>
    <ng-container *ngFor="let header of tableHeaders; index as i">
      <td class="border-bot" *ngIf='header.field === "orgFullName" && header.isChecked'
          [nzEllipsis]="header.needEllipsis" nz-tooltip [nzTooltipTitle]="employee.orgFullName">{{employee.orgFullName}}</td>

      <td class="border-bot" *ngIf='header.field === "jobName" && header.isChecked'>{{employee.jobName}}</td>

      <td class="border-bot" *ngIf='header.field === "managerFullName" && header.isChecked'>{{employee.managerFullName}}</td>

      <td class="border-bot" [nzEllipsis]="header.needEllipsis" nz-tooltip [nzTooltipTitle]="employee.managerOrgFullName"
          *ngIf='header.field === "managerOrgFullName" && header.isChecked'>{{employee.managerOrgFullName}}</td>

      <td class="border-bot" *ngIf='header.field === "managerJobName" && header.isChecked'>{{employee.managerJobName}}</td>

      <td class="border-bot" *ngIf='header.field === "indirectManagerFullName" && header.isChecked'>{{employee.indirectManagerFullName}}</td>
      <td class="border-bot" [nzEllipsis]="header.needEllipsis" nz-tooltip [nzTooltipTitle]="employee.indirectManagerOrgFullName"
          *ngIf='header.field === "indirectManagerOrgFullName" && header.isChecked'>{{employee.indirectManagerOrgFullName}}</td>
      <td class="border-bot" *ngIf='header.field === "indirectManagerJobName" && header.isChecked'>{{employee.indirectManagerJobName}}</td>
    </ng-container>
  </tr>
  <ng-container *ngFor="let data of listTree; let i = index; trackBy:trackBy">
    <ng-container *ngFor="let item of mapOfExpandedDataTree[data.key]; let i = index; trackBy:trackBy">
      <tr *ngIf="(item.parent && item.parent.expand) || !item.parent">
        <td class="bg-emp" nzLeft>
          <mb-button *ngIf='item.label' mbButtonAvailableStyle='PRIMARY' mbButtonSize="SMALL">
            <img src="../../../../../assets/images/icon/person.svg" alt='edit' width="12" height="12"></mb-button>
          <span class='pl-10'>{{item.label}}</span>
        </td>
          <td nzLeft
            [nzIndentSize]="item.level! * 20"
            [nzShowExpand]="true"
            [(nzExpand)]="item.expand"
            (nzExpandChange)="collapseTree(i, item, $event)"
          >
            {{ item.fullName}}
          </td>
        <ng-container *ngFor="let header of tableHeaders; index as i">
        <td [nzEllipsis]="header.needEllipsis"
            nz-tooltip [nzTooltipTitle]="header.needEllipsis?item[header.field]:''"
        >{{ item[header.field]}}</td>
        </ng-container>
      </tr>
    </ng-container>
  </ng-container>
  </tbody>
</nz-table>
